> For the complete documentation index, see [llms.txt](https://docs.kojascripts.eu/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.kojascripts.eu/new/cardealer/configuration/changing-language.md).

# Changing Language

You can choose a language from available ones or you can create your own&#x20;

***

## Choosing a language

{% code title="Config.lua" %}

````lua
```lua
-- Language for notifications, UI, etc.
-- "en", "pl", "es"
KOJA.Locale = 'en'
```
````

{% endcode %}

***

## Creating a language

First create a json file inside locales folder with name of your language

{% code title="Example json file name" %}

```css
pl.json
```

{% endcode %}

Copying and editing all words inside your json file

````json
```json
{
  "ui": {
    "down": "DOWN",
    "up": "UP",
    "left": "LEFT",
    "right": "RIGHT",
    "in": "ZOOM IN",
    "out": "ZOOM OUT",
    "search": "Search...",
    "exit": "EXIT",
    "rating": "Rating",
    "steering": "Steering",
    "na": "Not Available",
    "acceleration": "Acceleration",
    "speed_unit": "KM/H",
    "max_speed": "Maximum Speed",
    "select_primary_color": "Select Vehicle Color",
    "payment": "Payment",
    "total_price": "Total Price",
    "purchase_button": "Purchase",
    "test_drive_button": "Test Drive"
  },
  "game": {
    "confirm": "Confirm",
    "cancel": "Cancel",
    "open_menu": "Vehicle catalog opened!",
    "noPerms": "You are not allowed to do this!",
    "purchase_modal": {
      "purchase_confirm": "Vehicle successfully purchased. Registration: %plate",
      "purchase_enough_both": "You do not have sufficient funds.",
      "purchase_enough_cash": "You do not have enough cash.",
      "purchase_enough_bank": "You do not have enough money in your bank account.",
      "purchase_enough_error": "Payment configuration error!"
    },
    "drivetest": {
      "startNotify": "You have %seconds to test drive the vehicle!",
      "endNotify": "Test drive ended!"
    },
    "notification": {
      "notify": "Notification",
      "success": "Action completed successfully",
      "error": "An error occurred",
      "duration": 5000
    }
  }
}

```
````

Choosing the language you created in **config.lua** after the json name for my example **"pl"**

{% code title="Config.lua" %}

````lua
```lua
-- Language for notifications, UI, etc.
-- "en", "pl", "es"
KOJA.Locale = 'pl'
```
````

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.kojascripts.eu/new/cardealer/configuration/changing-language.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
